Kapitel 5. Paketmanagement
Zurück | 5.46 `dpkg-query` | Weiter

## 5.46 `dpkg-query`

Mit `dpkg-query` lässt sich die Paketdatenbank auf dem System abfragen. Dabei werden alle Pakete aus der Datei `/var/lib/dpkg/available` berücksichtigt. Die Abfrage ersteckt sich also sowohl auf installierte als auch auf nicht-installierte Pakete. `dpkg-query` kennt die folgenden Optionen:

`-l` oder `--list Suchbegriff`

  Zeigt alle Pakete an, wenn kein Suchbegriff angegeben wird. Ansonsten wird die Ausgabe auf die dem Suchbegriff entsprechenden Pakete beschränkt. Es können in dem Suchbegriff auch Wildcards verwendet werden. Hierbei ist darauf zu achten, dass diese nicht von der Shell interpretiert werden. Mit dem Kommando `dpkg-query -l 'apache*'` würden beispielsweise alle Pakete ausgegeben werden, die mit „apache“ beginnen.

`-w` oder `--show Suchbegriff`

  Wie die Option `--list`, jedoch kann die Ausgabe mit der Option `--showformat` angepasst werden.

`-s` oder `--status Paketname`

  Zeigt den Status des angegebenen Pakets an. Dabei werden nur installierte Pakete berücksichtigt.

`-L` oder `--listfiles Paketname`

  Zeigt alle installierten Dateien aus einem Paket an. Dateien, die während der Installation durch ein Skript erzeugt werden, sind dabei nicht berücksichtigt, da diese nicht in dem Paket enthalten sind.

`-S` oder `--search Suchbegriff`

  Sucht nach einem Dateinamen in den installierten Paketen. Hierbei können wieder die aus der Shell bekannten Wildcards benutzt werden.

`-p` oder `--print-avail Paketname`

  Zeigt Detailinformationen zu dem Paket an.

`--license` oder `--license`

  Zeigt die Lizenz- und Copyright-Informationen zu diesem Programm an.

`--version`

  Zeigt die Versionsnummer dieses Programms an.

`--admindir=dir`

  Hiermit kann das Verzeichnis verändert werden, in dem die dpkg-Datenbank abgelegt wird. Dies sollte aber immer `/var/lib/dpkg/` sein.

`--showformat=format`

  Hiermit kann das Format der Ausgabe bei Verwendung von `--show` angepasst werden. Die Formatangabe ist eine Zeichenkette, die für jedes gefundene Paket ausgegeben wird. Paketinformationen können durch Variablen in der Form `${var[;width]}` angegeben werden. Die Ausgabe ist dabei immer rechtsbündig ausgerichtet, eine linksbündige Ausgabe wird durch einen negativen Wert für die Breite erreicht.

  Es können weiterhin die Escape-Sequencen `\n` (Newline), `\r` (Carriage Return) und `\\` (Backslash) eingesetzt werden.

Zurück | Nach oben | Weiter
5.45 `dpkg-statoverride` | Zum Anfang | 5.47 dpkg-architecture

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).